////////////////////////////////////////////////////
//
//  gigaconfig.h
//  by jkglee
//  2002.08.22
//
//  all exported return code should lead with GIGA_
//
////////////////////////////////////////////////////

#define SYSTEM_SETTING_ROM		"/romdisk/systemsetting.dat"
#define SYSTEM_STATUS_ROM		"/romdisk/systemstatus.dat"

#define SYSTEM_SETTING			"/ramdisk/etc/systemsetting.dat"
#define SYSTEM_SETTING_TMP		"/ramdisk/etc/systemsetting.tmp"

#define WIRELESS_HW_SETTING		"/ramdisk/etc/defaultwirelesshwsetting.dat"

#define SYSTEM_STATUS			"/ramdisk/etc/systemstatus.dat"
#define SYSTEM_STATUS_TMP		"/ramdisk/etc/systemstatus.tmp"

// status information in SYSTEM_STATUS ...
#define GIGA_WAN_TYPE			"GIGA_WAN_TYPE"
#define GIGA_WAN_STATUS0		"GIGA_WAN_STATUS0"
#define GIGA_WAN_STATUS1		"GIGA_WAN_STATUS1"
#define GIGA_WAN_STATUS2		"GIGA_WAN_STATUS2"
#define GIGA_ETH0_IP			"GIGA_ETH0_IP"
#define GIGA_ETH0_NETMASK		"GIGA_ETH0_NETMASK"
#define GIGA_ETH0_GATEWAY		"GIGA_ETH0_GATEWAY"
#define GIGA_ETH0_DNS1			"GIGA_ETH0_DNS1"
#define GIGA_ETH0_DNS2			"GIGA_ETH0_DNS2"
#define GIGA_ETH0_DNAME			"GIGA_ETH0_DNAME"
#define GIGA_ETH1_IP			"GIGA_ETH1_IP"
#define GIGA_ETH1_NETMASK 		"GIGA_ETH1_NETMASK"
#define GIGA_ETH1_0_IP			"GIGA_ETH1_0_IP"
#define GIGA_ETH1_0_NETMASK 		"GIGA_ETH1_0_NETMASK"
#define GIGA_ETH1_DNS1			"GIGA_ETH1_DNS1"
#define GIGA_ETH1_DNS2			"GIGA_ETH1_DNS2"
#define GIGA_ETH1_DNAME			"GIGA_ETH1_DNAME"
#define GIGA_WLAN_STATUS		"GIGA_WLAN_STATUS"
#define GIGA_WLAN0_IP			"GIGA_WLAN0_IP"
#define GIGA_WLAN0_NETMASK		"GIGA_WLAN0_NETMASK"
#define GIGA_PPP0_IP			"GIGA_PPP0_IP"
#define GIGA_PPP0_NETMASK		"GIGA_PPP0_NETMASK"
#define GIGA_PPP0_GATEWAY		"GIGA_PPP0_GATEWAY"
#define GIGA_PPP0_DNS1			"GIGA_PPP0_DNS1"
#define GIGA_PPP0_DNS2			"GIGA_PPP0_DNS2"
#define GIGA_PPP1_IP			"GIGA_PPP1_IP"
#define GIGA_PPP1_NETMASK		"GIGA_PPP1_NETMASK"
#define GIGA_PPP1_GATEWAY		"GIGA_PPP1_GATEWAY"
#define GIGA_PPP1_DNS1			"GIGA_PPP1_DNS1"
#define GIGA_PPP1_DNS2			"GIGA_PPP1_DNS2"
#define GIGA_PPP2_IP			"GIGA_PPP2_IP"
#define GIGA_PPP2_NETMASK		"GIGA_PPP2_NETMASK"
#define GIGA_PPP2_GATEWAY		"GIGA_PPP2_GATEWAY"
#define GIGA_PPP2_DNS1			"GIGA_PPP2_DNS1"
#define GIGA_PPP2_DNS2			"GIGA_PPP2_DNS2"
#define GIGA_HTML_WDS                   "/wwwroot/htdocs/WDS.htm"
#define GIGA_HTML_WDS_Setup_Complete            "/wwwroot/htdocs/BasicWizSetComp.htm"


#define HTTP_ROOT			"/wwwroot"

// JL: html files location ... updatehtml.c
//     03/02/10
#define GIGA_HTML_SETUP_COMPLETE                "/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_INTERNAL_ERROR		"/wwwroot/htdocs/InternalError.htm"
#define GIGA_HTML_BASIC_LAN_SETUP		"/wwwroot/htdocs/BasicLANSetup.htm"
#define GIGA_HTML_BASIC_WAN_SEL			"/wwwroot/htdocs/BasicWANSel.htm"
#define GIGA_HTML_BASIC_PPPoE			"/wwwroot/htdocs/BasicPPPoE.htm"
#define GIGA_HTML_BASIC_PPPoELan		"/wwwroot/htdocs/BasicPPPoELan.htm"
#define GIGA_HTML_BASIC_DynamicIPAddress	"/wwwroot/htdocs/BasicDynamicIPAddress.htm"
#define GIGA_HTML_BASIC_StaticIPAddress		"/wwwroot/htdocs/BasicStaticIPAddress.htm"
#define GIGA_HTML_BASIC_Setup_Complete		"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_RESTARTING			"/wwwroot/htdocs/Restarting.htm"
#define GIGA_HTML_FIREWALL2			"/wwwroot/htdocs/Firewall2.htm"
#define GIGA_HTML_ADD_FIREWALL			"/wwwroot/htdocs/AddFirewall.htm"
#define GIGA_HTML_FIREWALL_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_EDIT_FIREWALL			"/wwwroot/htdocs/EditFirewall.htm"
#define GIGA_HTML_FIREWALL3			"/wwwroot/htdocs/Firewall3.htm"
#define GIGA_HTML_FIREWALL1			"/wwwroot/htdocs/Firewall1.htm"
#define GIGA_HTML_NETWORKSETUP3			"/wwwroot/htdocs/NetworkSetup3.htm"
#define GIGA_HTML_NETWORKSETUP2			"/wwwroot/htdocs/NetworkSetup2.htm"
#define GIGA_HTML_NETWORKSETUP1			"/wwwroot/htdocs/NetworkSetup1.htm"
#define GIGA_HTML_WANSEL			"/wwwroot/htdocs/WANSel.htm"
#define GIGA_HTML_WANTYPEDEL			"/wwwroot/htdocs/WANTypeDel.htm"
#define GIGA_HTML_PPPoE				"/wwwroot/htdocs/PPPoE.htm"
#define GIGA_HTML_PPPoELan			"/wwwroot/htdocs/PPPoELan.htm"
#define GIGA_HTML_DynamicIPAddress		"/wwwroot/htdocs/DynamicIPAddress.htm"
#define GIGA_HTML_StaticIPAddress		"/wwwroot/htdocs/StaticIPAddress.htm"
#define GIGA_HTML_NETWORK_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_STATICROUTING			"/wwwroot/htdocs/StaticRouting.htm"
#define GIGA_HTML_STATICROUTING_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_DNSREPLAY			"/wwwroot/htdocs/DNSRelay.htm"
#define GIGA_HTML_DNSREPLAY_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_VIRTUALSERVER1		"/wwwroot/htdocs/VirtualServer1.htm"
#define GIGA_HTML_VIRTUALSERVER2		"/wwwroot/htdocs/VirtualServer2.htm"
#define GIGA_HTML_VIRTUALSERVER3		"/wwwroot/htdocs/VirtualServer3.htm"
#define GIGA_HTML_VIRTUALSERVER4		"/wwwroot/htdocs/VirtualServer4.htm"
#define GIGA_HTML_MNAT				"/wwwroot/htdocs/MNAT.htm"
#define GIGA_HTML_VIRTUALSERVER_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_WIRELESSSETUP1		"/wwwroot/htdocs/WirelessSetup1.htm"
#define GIGA_HTML_WIRELESSSETUP2B		"/wwwroot/htdocs/WirelessSetup2B.htm"
#define GIGA_HTML_WIRELESSSETUP2G		"/wwwroot/htdocs/WirelessSetup2G.htm"
#define GIGA_HTML_WIRELESSSETUP3		"/wwwroot/htdocs/WirelessSetup3.htm"
#define GIGA_HTML_MACCONTROL11A			"/wwwroot/htdocs/MACcontrol11a.htm"
#define GIGA_HTML_MACCONTROL11B			"/wwwroot/htdocs/MACcontrol11b.htm"
#define GIGA_HTML_MACCONTROL11G			"/wwwroot/htdocs/MACcontrol11g.htm"
#define GIGA_HTML_WIRELESSSETUP_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_WIRELESSSETUP_Setup_OK	"/wwwroot/htdocs/Setup_OK.htm"
#define GIGA_HTML_STATUS			"/wwwroot/htdocs/status.htm"
#define GIGA_HTML_PASSWORD_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_WAN_MAC			"/wwwroot/htdocs/ChangeMAC.htm"
#define GIGA_HTML_WANMAC_Setup_Complete		"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_UPGRADING			"/wwwroot/htdocs/Upgrading.htm"
#define GIGA_HTML_MEMORY_LOW			"/wwwroot/htdocs/MemoryLow.htm"
#define GIGA_HTML_FILE_FORMAT_ERROR		"/wwwroot/htdocs/FileFormatError.htm"
#define GIGA_HTML_RESTORE_Setup_Complete	"/wwwroot/htdocs/BasicWizSetComp.htm"
#define GIGA_HTML_ABOUT				"/wwwroot/htdocs/About.htm"
#define GIGA_HTML_PPP_MONITOR			"/wwwroot/htdocs/PPPMonitor.htm"
#define GIGA_HTML_INDEX				"/wwwroot/htdocs/index.htm"
#define GIGA_HTML_LOGOUT			"/wwwroot/htdocs/Logout.htm"
#define GIGA_HTML_CHANGE_LANGUAGE               "/wwwroot/htdocs/BasicWizSetComp.htm"
// tc chen
#define GIGA_HTML_WAN_LINK_DOWN			"/wwwroot/htdocs/WAN_LINK_DOWN.htm"
#define GIGA_HTML_SS_DynamicIPAddress		"/wwwroot/htdocs/SmartSetupDynamicIPAddress.htm"
#define GIGA_HTML_WELCOME			"/wwwroot/htdocs/Welcome.htm"
#define GIGA_HTML_SMART_SETUP                   "/wwwroot/htdocs/SmartSetup.htm"

// JL: html tmp files location ... updatehtml.c
#define GIGA_HTML_BASIC_LAN_SETUP_TMP		"/wwwroot/htdocs/BasicLANSetup.tmp"
#define GIGA_HTML_BASIC_WAN_SEL_TMP		"/wwwroot/htdocs/BasicWANSel.tmp"
#define GIGA_HTML_BASIC_PPPoE_TMP		"/wwwroot/htdocs/BasicPPPoE.tmp"
#define GIGA_HTML_BASIC_PPPoELan_TMP		"/wwwroot/htdocs/BasicPPPoELan.tmp"
#define GIGA_HTML_BASIC_DynamicIPAddress_TMP	"/wwwroot/htdocs/BasicDynamicIPAddress.tmp"
#define GIGA_HTML_BASIC_StaticIPAddress_TMP	"/wwwroot/htdocs/BasicStaticIPAddress.tmp"
#define GIGA_HTML_BASIC_Setup_Complete_TMP	"/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_DHCPTABLE_TMP	 	        "/wwwroot/htdocs/JasonLan.tmp"
#define GIGA_HTML_RESTARTING_TMP		"/wwwroot/htdocs/Restarting.tmp"
#define GIGA_HTML_FIREWALL2_TMP			"/wwwroot/htdocs/Firewall2.tmp"
#define GIGA_HTML_ADD_FIREWALL_TMP		"/wwwroot/htdocs/AddFirewall.tmp"
#define GIGA_HTML_FIREWALL_Setup_Complete_TMP	"/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_EDIT_FIREWALL_TMP		"/wwwroot/htdocs/EditFirewall.tmp"
#define GIGA_HTML_FIREWALL3_TMP			"/wwwroot/htdocs/Firewall3.tmp"
#define GIGA_HTML_FIREWALL1_TMP			"/wwwroot/htdocs/Firewall1.tmp"
#define GIGA_HTML_NETWORKSETUP3_TMP		"/wwwroot/htdocs/NetworkSetup3.tmp"
#define GIGA_HTML_NETWORKSETUP2_TMP		"/wwwroot/htdocs/NetworkSetup2.tmp"
#define GIGA_HTML_NETWORKSETUP1_TMP		"/wwwroot/htdocs/NetworkSetup1.tmp"
#define GIGA_HTML_WANSEL_TMP			"/wwwroot/htdocs/WANSel.tmp"
#define GIGA_HTML_WANTYPEDEL_TMP		"/wwwroot/htdocs/WANTypeDel.tmp"
#define GIGA_HTML_PPPoE_TMP			"/wwwroot/htdocs/PPPoE.tmp"
#define GIGA_HTML_PPPoELan_TMP			"/wwwroot/htdocs/PPPoELan.tmp"
#define GIGA_HTML_DynamicIPAddress_TMP		"/wwwroot/htdocs/DynamicIPAddress.tmp"
#define GIGA_HTML_StaticIPAddress_TMP		"/wwwroot/htdocs/StaticIPAddress.tmp"
#define GIGA_HTML_NETWORK_Setup_Complete_TMP	"/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_STATICROUTING_TMP		"/wwwroot/htdocs/StaticRouting.tmp"			
#define GIGA_HTML_STATICROUTING_Setup_Complete_TMP "/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_DNSREPLAY_TMP			"/wwwroot/htdocs/DNSRelay.tmp"
#define GIGA_HTML_DNSREPLAY_Setup_Complete_TMP	"/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_VIRTUALSERVER1_TMP		"/wwwroot/htdocs/VirtualServer1.tmp"
#define GIGA_HTML_VIRTUALSERVER2_TMP		"/wwwroot/htdocs/VirtualServer2.tmp"
#define GIGA_HTML_VIRTUALSERVER3_TMP		"/wwwroot/htdocs/VirtualServer3.tmp"
#define GIGA_HTML_VIRTUALSERVER4_TMP		"/wwwroot/htdocs/VirtualServer4.tmp"
#define GIGA_HTML_MNAT_TMP			"/wwwroot/htdocs/MNAT.tmp"
#define GIGA_HTML_VIRTUALSERVER_Setup_Complete_TMP "/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_WIRELESSSETUP1_TMP		"/wwwroot/htdocs/WirelessSetup1.tmp"
#define GIGA_HTML_WIRELESSSETUP2B_TMP		"/wwwroot/htdocs/WirelessSetup2B.tmp"
#define GIGA_HTML_WIRELESSSETUP2G_TMP		"/wwwroot/htdocs/WirelessSetup2G.tmp"
#define GIGA_HTML_WIRELESSSETUP3_TMP		"/wwwroot/htdocs/WirelessSetup3.tmp"
#define GIGA_HTML_MACCONTROL11A_TMP		"/wwwroot/htdocs/MACcontrol11a.tmp"
#define GIGA_HTML_MACCONTROL11B_TMP		"/wwwroot/htdocs/MACcontrol11b.tmp"
#define GIGA_HTML_MACCONTROL11G_TMP		"/wwwroot/htdocs/MACcontrol11g.tmp"
#define GIGA_HTML_WIRELESSSETUP_Setup_Complete_TMP "/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_STATUS_TMP			"/wwwroot/htdocs/status.tmp"
#define GIGA_HTML_PASSWORD_Setup_Complete_TMP	"/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_WAN_MAC_TMP			"/wwwroot/htdocs/ChangeMAC.tmp"
#define GIGA_HTML_WANMAC_Setup_Complete_TMP	"/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_UPGRADING_TMP			"/wwwroot/htdocs/Upgrading.tmp"
#define GIGA_HTML_MEMORY_LOW_TMP		"/wwwroot/htdocs/MemoryLow.tmp"
#define GIGA_HTML_FILE_FORMAT_ERROR_TMP		"/wwwroot/htdocs/FileFormatError.tmp"
#define GIGA_HTML_RESTORE_Setup_Complete_TMP	"/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_ABOUT_TMP			"/wwwroot/htdocs/About.tmp"
#define GIGA_HTML_PPP_MONITOR_TMP		"/wwwroot/htdocs/PPPMonitor.tmp"
#define GIGA_HTML_INDEX_TMP			"/wwwroot/htdocs/index.tmp"
#define GIGA_HTML_LOGOUT_TMP			"/wwwroot/htdocs/Logout.tmp"
#define GIGA_HTML_CHANGE_LANGUAGE_TMP           "/wwwroot/htdocs/BasicWizSetComp.tmp"
#define GIGA_HTML_WDS_TMP                      "/wwwroot/htdocs/WDS.tmp"

// JL: WAN record type
#define PPPoE					0
#define PPPoELan				1
#define DynamicIPAddress			2
#define StaticIPAddress 			3
#define PPPoE_TYPE				'0'
#define PPPoELan_TYPE				'1'
#define DynamicIPAddress_TYPE			'2'
#define StaticIPAddress_TYPE 			'3'
// JL: wireless card information define location
#define WIRELESS_CARD_INFO_FILE			"/var/run/stab"
// JL: Session Type
#define MAINSESSION				1
#define BACKUPSESSIN				2
#define SUB1SESSION				3
#define SUB2SESSION				4


//#define GIGA_HTML_FIREWALL_LOG		"/wwwroot/htdocs/Log1.htm"
//#define GIGA_HTML_FIREWALL_LOG_TMP	"/wwwroot/htdocs/Log1.tmp"
//#define FIREWALL_LOG_FILE		"/var/log/message.firewall"
//#define CONNECTION_LOG_FILE		"/var/log/message.connect"
//#define UPNP_LOG_FILE			"/var/log/message.upnp"

//#define FIREWALL_LOG_FILE_TMP		"/var/log/message.firewall.tmp"
//#define FIREWALL_LOG_FILE_INV		"/var/log/message.firewall.inverse"
//#define FIREWALL_LOG_FILE_TEMP		"/var/log/message.firewall.temp"
//#define CONNECTION_LOG_FILE_TMP		"/var/log/message.connect.tmp"
//#define UPNP_LOG_FILE_TMP		"/var/log/message.upnp.tmp"


#define HTML_EMBEDED_PROMPT_STRING	"<SCRIPT LANGUAGE=\"JavaScript\"></SCRIPT>"

#define MAX_LINE_CHARS		256
#define MAX_FIREWALL_RULE	64
#define MAX_WAN_RECORD		4

#define FILE_OPEN_RETRY		3
#define FILE_OPEN_WAIT		1  /* seconds */

// Modes for GetSystemSetting() & UpdateSystemSetting()
#define RW_SECTION_MODE		0
#define RW_ITEM_MODE		1


#define GIGA_FILE_OPEN_ERR	-100
#define GIGA_SECTION_NOT_FOUND	-200
#define GIGA_ITEM_NOT_FOUND	-201


#define WIRELESS_NONE		0
#define WIRELESS_11A		1
#define WIRELESS_11B		2

#define WIRELESS_ATHEROS	1
#define WIRELESS_PRISM2		2
#define WIRELESS_RTL8180	3


// process pid information
#define MHTTPD_PID_FILE 	"/ramdisk/var/mhttpd.pid"


#define MTD_DEV_BOOT			"/dev/mtd/0"
#define MTD_DEV_BOOT_BLOCK		"/dev/mtdblock/0"
#define MTD_DEV_KERNEL			"/dev/mtd/2"
#define MTD_DEV_KERNEL_BLOCK		"/dev/mtdblock/2"
#define MTD_DEV_ROOTFS			"/dev/mtd/3"
#define MTD_DEV_ROOTFS_BLOCK		"/dev/mtdblock/3"
#define MTD_DEV_DATA_SETTING 		"/dev/mtd/1"
#define MTD_DEV_DATA_SETTING_BLOCK	"/dev/mtdblock/1"
#define MTD_DEV_DEFAULT_MAC		"/dev/mtd/4"
#define MTD_DEV_DEFAULT_MAC_BLOCK	"/dev/mtdblock/4"
#define DEFAULT_DATA_SETTING_IMAGE	"/img/defaultdatasetting.cramfs.img"
#define ROMDISK_DIR			"/romdisk"
#define RAMDISK_DIR			"/ramdisk"


#define BUILD_DATE_INFO_FILE		"/ramdisk/etc/build.date"
#define BUILD_VERSION_INFO_FILE		"/ramdisk/etc/build.version"
#define DATA_VERSION_INFO_FILE		"/ramdisk/etc/data.version"


// by jkglee, 2002.11.20, add semaphore control ...
#define SEMID_SYSTEM_STATUS     0x212
#define SEMID_SYSTEM_SETTING    0x312
#define SEMID_HTTP_LOGIN    	0x412
#define SEMID_LOG_MAINTAIN      0x512
#define SEMID_LOG_VIEW		0x612

#define HTTP_PNP_PORT   8132
