/* JL: Language Define */
/*  0: Japanese(default) */
/*  1: ChineseTrad */
/*  2: English */
/*  3: ChineseSimp */
#define MAX_LANGUAGE 4
#ifdef VAR
int gnLanguageIndex = 0;
/* JL: updatehtml.c */
char *gbszUnused[MAX_LANGUAGE]={ 
        "Unused/Japanese/",
        "ϥ",
        "Unused",
        "δʹ"
};
char *gbszUnavailable[MAX_LANGUAGE]={ 
        "Unavailable/Japanese/",
        "LĪ",
        "Unavailable",
        "Ч"
};
char *gbszPPPConnected[MAX_LANGUAGE]={ 
        "PPPConnected/Japanese/",
        "PPP wsu",
        "PPPConnected",
        "PPP "
};
char *gbszPPPConnecting[MAX_LANGUAGE]={ 
        "PPPConnecting/Japanese/",
        "PPP su",
        "PPPConnecting",
        "PPP "
};
char *gbszPPPDisconnecting[MAX_LANGUAGE]={
        "PPPDisconnecting/Japanese/",
        "PPP _",
        "PPPDisconnecting",
        "PPP ж"
};
char *gbszPPPDisconnected[MAX_LANGUAGE]={ 
        "PPPDisconnected/Japanese/",
        "PPP w_",
        "PPPDisconnected",
        "PPP ж"
};
char *gbszPPPTimeOut[MAX_LANGUAGE]={ 
        "Time out/Janpanese/",
        "O",
        "Time out",
        "ʱ"
};
char *gbszPPPAuthenticating[MAX_LANGUAGE]={ 
        "PPPAuthenticating/Janpanese/",
        "PPP {Ҥ",
        "PPPAuthenticating",
        "PPP ֤"
};
char *gbszPPPAuthenFail[MAX_LANGUAGE]={ 
        "PPPAuthenFail/Janpanese/",
        "PPP {ҥ",
        "PPPAuthenFail",
        "PPP ֤ʧ"
};
char *gbszPPPLCPNegotiating[MAX_LANGUAGE]={ 
        "PPPLCPNegotiating/Janpanese/",
        "PPP LCP Ӥ",
        "PPPLCPNegotiating",
        "PPP LCP Э"
};
char *gbszPPPLCPFail[MAX_LANGUAGE]={ 
        "PPPLCPFail/Janpanese/",
        "PPP LCP ",
        "PPPLCPFail",
        "PPP LCP ʧ"
};
char *gbszPPPIPCPNegotiating[MAX_LANGUAGE]={ 
        "PPPIPCPNegotiating/Janpanese/",
        "PPP IPCP Ӥ",
        "PPPIPCPNegotiating",
        "PPP IPCP Э"
};
char *gbszPPPIPCPFail[MAX_LANGUAGE]={ 
        "PPPIPCPFail/Janpanese/",
        "PPP IPCP ",
        "PPPIPCPFail",
        "PPP IPCP ʧ"
};
char *gszEnable[MAX_LANGUAGE]={
        "Enable/Janpanese/",
        "ҥ",
        "Enable",
        ""
};
char *gszDisable[MAX_LANGUAGE]={
        "Disable/Janpanese/",
        "",
        "Disable",
        "ͣ"
};
char *gszSessionName[MAX_LANGUAGE]={
        "Session Name:/Janpanese/",
        "ϬqW:",
        "Session Name:",
        ":"
};
char *gszMainSession[MAX_LANGUAGE]={
        "Main Session/Janpanese/",
        "DnϬq",
        "Main Session",
        "Ҫ"
};
char *gszBackupSession[MAX_LANGUAGE]={
        "Backup Session/Janpanese/",
        "ƥΰϬq",
        "Backup Session",
        ""
};
char *gszNoSelected[MAX_LANGUAGE]={
        "No Selected Session/Janpanese/",
        "ܰϬq",
        "No Selected Session",
        "δѡ"
};
#if 0
char *gszMainSession[MAX_LANGUAGE]={
        "Main(Backup) Session/Janpanese/",
        "Main(Backup) Session/ChineseTrad/",
        "Main(Backup) Session",
        "ѡ() "
};
#endif
char *gszSub1Session[MAX_LANGUAGE]={
        "Sub 1 Session/Janpanese/",
        "nϬq@",
        "Sub 1 Session",
        "Ҫһ"
};
char *gszSub2Session[MAX_LANGUAGE]={
        "Sub 2 Session/Janpanese/",
        "nϬqG",
        "Sub 2 Session",
        "Ҫζ"
};
char *gszallSession[MAX_LANGUAGE]={
        "*/Janpanese/",
        "Ϭq",
        "*",
        "ȫ"
};
char *gsz1and2Session[MAX_LANGUAGE]={
        "1&2/Janpanese/",
        "DnM@Ϭq",
        "1&2",
        "Ҫʹһ"
};
char *gsz1and3Session[MAX_LANGUAGE]={
        "1&3/Janpanese/",
        "DnMGϬq",
        "1&3",
        "Ҫʹζ"
};
char *gsz2and3Session[MAX_LANGUAGE]={
        "2&3/Janpanese/",
        "@MGϬq",
        "2&3",
        "һʹζ"
};
char *gszISPNumber[MAX_LANGUAGE]={
        "ISP Number:/Janpanese/",
        "ISP s:",
        "ISP Number:",
        "ISP :"
};
char *gszISPName[MAX_LANGUAGE]={
        "ISP Name:/Janpanese/",
        "ISP W:",
        "ISP Name:",
        "ISP :"
};
char *gszWANType[MAX_LANGUAGE]={
        "WAN Type:/Janpanese/",
        "sA:",
        "WAN Type:",
        "·:"
};
char *gszPPPoE[MAX_LANGUAGE]={ 
        "PPPoE/Janpanese/",
        "PPPoE",
        "PPPoE",
        "PPPoE"
};
char *gszPPPoEUnnumber[MAX_LANGUAGE]={
        "PPPoE Unnumber/Janpanese/",
        "PPPoE Unnumber",
        "PPPoE Unnumber",
        "PPPoE Unnumber"
};
char *gszDHCP[MAX_LANGUAGE]={
        "DHCP/Janpanese/",
        "ʺAIP}",
        "DHCP",
        "̬IPַ"
};
char *gszStaticIP[MAX_LANGUAGE]={
        "STATIC IP/Janpanese/",
        "Tw IP",
        "STATIC IP",
        "̬IPַ"
};
char *gszWANIPAddress[MAX_LANGUAGE]={
        "WAN IP Address:/Janpanese/",
        "WAN IP }:",
        "WAN IP Address:",
        "IPַ:"
};
char *gszWANGateway[MAX_LANGUAGE]={
        "WAN Gateway:/Janpanese/",
        "WAN qTh:",
        "WAN Gateway:",
        ":"
};
char *gszPrimaryDNS[MAX_LANGUAGE]={
        "Primary DNS:/Janpanese/",
        "DnW٦A:",
        "Primary DNS:",
        " DNS:"
};
char *gszSecondaryDNS[MAX_LANGUAGE]={
        "Secondary DNS:/Janpanese/",
        "nW٦A:",
        "Secondary DNS:",
        " DNS:"
};
char *gszWANNetmask[MAX_LANGUAGE]={
        "WAN Netmask:/Janpanese/",
        "WAN Bn:",
        "WAN Netmask:",
        "WAN :"
};
/* JL: CGI status.c */
char *gszWANEthernetStatus[MAX_LANGUAGE]={
        "WAN Ethernet Status/Janpanese/",
        "WAN Ethernet A",
        "WAN Ethernet Status",
        "״̬"
};
char *gszLANEthernetStatus[MAX_LANGUAGE]={
        "LAN Ethernet Status/Janpanese/",
        "LAN Ethernet A",
        "LAN Ethernet Status",
        "״̬"
};
char *gszMAC[MAX_LANGUAGE]={
        "MAC/Janpanese/",
        "MAC",
        "MAC",
        "MAC"};
char *gszMTU[MAX_LANGUAGE]={
        "MTU/Janpanese/",
        "MTU",
        "MTU",
        "MTU"
};
char *gszRXpackets[MAX_LANGUAGE]={
        "RX packets/Janpanese/",
        "RX packets",
        "RX packets",
        "RX packets"
};
char *gszTXpackets[MAX_LANGUAGE]={
        "TX packets/Janpanese/",
        "TX packets",
        "TX packets",
        "TX packets"
};
char *gszRXbytes[MAX_LANGUAGE]={
        "RX bytes/Janpanese/",
        "RX bytes",
        "RX bytes",
        "RX bytes"
};
char *gszTXbytes[MAX_LANGUAGE]={
        "TX bytes/Janpanese/",
        "TX bytes",
        "TX bytes",
        "TX bytes"
};
char *gszWirelessStatus[MAX_LANGUAGE]={
        "Wireless Status/Janpanese/",
        "Wireless A",
        "Wireless Status",
        "Wireless ״̬"
};
char *gszNoWirelessCardFound[MAX_LANGUAGE]={
        "No Wireless Card Found/Janpanese/",
        "Lud",
        "No Wireless Card Found",
        "ⲻ"
};
char *gszWirelessRegionInconsistent[MAX_LANGUAGE]={
        "Wireless region inconsistent with PCMCIA card/Janpanese/",
        "LudϽX~",
        "Wireless region inconsistent with PCMCIA card",
        "·"
};
char *gszType[MAX_LANGUAGE]={
        "Type/Janpanese/",
        "Φ",
        "Type",
        ""
};
char *gszESSID[MAX_LANGUAGE]={
        "ESSID/Janpanese/",
        "ESSID",
        "ESSID",
        "ESSID"
};
char *gszChannel[MAX_LANGUAGE]={
        "Channel/Janpanese/",
        "WD",
        "Channel",
        "ͨ"
};
char *gszRTSThreshold[MAX_LANGUAGE]={
        "RTS Threshold/Janpanese/",
        "RTS Threshold",
        "RTS Threshold",
        "RTS Threshold"
};
char *gszFragmentThreshold[MAX_LANGUAGE]={
        "Fragment Threshold/Janpanese/",
        "Fragment Threshold",
        "Fragment Threshold",
        "Fragment Threshold"
};
char *gszWEPEncryption[MAX_LANGUAGE]={
        "WEP Encryption/Janpanese/",
        "WEP [K",
        "WEP Encryption",
        "WEP "
};
char *gszARPTable[MAX_LANGUAGE]={
        "ARP Table/Janpanese/",
        "ARP ",
        "ARP Table",
        "ARP б"
};
char *gszDHCPLeaseTable[MAX_LANGUAGE]={
        "DHCP Lease Table/Janpanese/",
        "DHCP ",
        "DHCP Lease Table",
        "DHCP б"
};
char *gszRoutingTable[MAX_LANGUAGE]={
        "Routing Table/Janpanese/",
        "Ѫ",
        "Routing Table",
        "·ɱ"
};
char *gszClientMAC[MAX_LANGUAGE]={
        "Client MAC/Janpanese/",
        "Τ MAC",
        "Client MAC",
        "վ MAC"
};
char *gszIPAddress[MAX_LANGUAGE]={
        "IP Address/Janpanese/",
        "IP }",
        "IP Address",
        "IP ַ"
};
char *gszMACAddress[MAX_LANGUAGE]={
        "MAC Address/Janpanese/",
        "MAC }",
        "MAC Address",
        "MAC ַ"
};
char *gszTTL[MAX_LANGUAGE]={
        "TTL/Janpanese/",
        "TTL",
        "TTL",
        "TTL"
};
char *gszexpired[MAX_LANGUAGE]={
        "expired/Janpanese/",
        "O",
        "expired",
        ""
};
char *gszoff[MAX_LANGUAGE]={
        "off/Janpanese/",
        "off",
        "off",
        "off"
};
char *gszon[MAX_LANGUAGE]={
        "on/Janpanese/",
        "on",
        "on",
        "on"
};
char *gaz64bit[MAX_LANGUAGE]={
        " (64 bit)/Janpanese/",
        " (64 bit)",
        " (64 bit)",
        " (64 bit)"
};
char *gaz128bit[MAX_LANGUAGE]={
        " (128 bit)/Janpanese/",
        " (128 bit)",
        " (128 bit)",
        " (128 bit)"
};
char *gaz152bit[MAX_LANGUAGE]={
        " (152 bit)/Janpanese/",
        " (152 bit)",
        " (152 bit)",
        " (152 bit)"
};
char *gszDestination[MAX_LANGUAGE]={
        "Destination/Janpanese/",
        "ت",
        "Destination",
        "Ŀĵַ"
};
char *gszNetmask[MAX_LANGUAGE]={
        "Netmask/Janpanese/",
        "Bn",
        "Netmask",
        ""
};
char *gszGetway[MAX_LANGUAGE]={
        "Getway/Janpanese/",
        "qTh",
        "Getway",
        ""
};
char *gszMetric[MAX_LANGUAGE]={
        "Metric/Janpanese/",
        "Metric",
        "Metric",
        "Metric"
};
char *gszInterface[MAX_LANGUAGE]={
        "Interface/Janpanese/",
        "",
        "Interface",
        ""
};
char *gszDefault[MAX_LANGUAGE]={
        "Default/Janpanese/",
        "w]",
        "Default",
        "Ԥֵ"
};
/* JL: upnp log.c upnp status */
char *gszindefinite[MAX_LANGUAGE]={
        "indefinite/Janpanese/", 
        "L",
        "indefinite",
        "ڵ"
};
/* JL: CGI log.c include firewall log, connection log and upnp log*/
char *gpszConnectionGroup[3]={"PPPoE", "PPP", "DHCP"};
char *gpszConnectionSession[4*MAX_LANGUAGE]={
        "main session/Janpanese/", "backup session/Janpanese/", "sub1 session/Janpanese/", "sub2 session/Janpanese/",
        "DnϬq", "ƥΰϬq", "nϬq@", "nϬqG",
        "main session", "backup session", "sub1 session", "sub2 session",
        "Ҫ", "", "Ҫһ", "Ҫζ"
};                           
char *gpszPPPoEAction[7*MAX_LANGUAGE]={
        "PPPoE session begin/Janpanese/",
        "PPPoE success/Janpanese/",
        "PPPoE fail/Janpanese/",
        "PPPoE disconnect for client request/Janpanese/",
        "PPPoE disconnect for server request/Janpanese/",
        "PPPoE NG/Janpanese/",
        "PPPoE session connecting/Janpanese/",
        "PPPoE session }l",
        "PPPoE \\",
        "PPPoE ",
        "PPPoE ΤݭnD_u~",
        "PPPoE AݭnD_u",
        "PPPoE NG",
        "PPPoE session su",
        "PPPoE session begin",
        "PPPoE success",
        "PPPoE fail",
        "PPPoE disconnect for client request",
        "PPPoE disconnect for server request",
        "PPPoE NG",
        "PPPoE session connecting",
        "PPPoE session ʼ",
        "PPPoE ɹ",
        "PPPoE ʧ",
        "PPPoE վ",
        "PPPoE ",
        "PPPoE NG",
        "PPPoE session "
};
char *gpszPPPAction[20*MAX_LANGUAGE]={
        "PPP LCP begin/Janpanese/",
        "PPP LCP success/Janpanese/",
        "PPP LCP fail/Janpanese/",
        "PPP PAP authentication success/Janpanese/",
        "PPP PAP authentication fail/Janpanese/",
        "PPP CHAP authentication success/Janpanese/",
        "PPP CHAP authentication fail/Janpanese/",
        "PPP IPCP success/Janpanese/",
        "PPP IPCP fail/Janpanese/",
        "PPP disconnect for client request/Janpanese/",
        "PPP disconnect for server request/Janpanese/",
        "PPP no ACHO respond/Janpanese/",
        "PPP NG/Janpanese/",
        "PPP IP success/Janpanese/",
        "PPP authentication fail/Janpanese/",
        "PPP authentication/Janpanese/",
        "PPP PAP authentication/Janpanese/",
        "PPP CHAP authentication/Janpanese/",
        "PPP disconnect by user/Janpanese/",
        "PPP disconnect/Janpanese/",
        "PPP LCP }l",
        "PPP LCP \\",
        "PPP LCP ",
        "PPP PAP {Ҧ\\",
        "PPP PAP {ҥ",
        "PPP CHAP {Ҧ\\",
        "PPP CHAP {ҥ",
        "PPP IPCP \\",
        "PPP IPCP ",
        "PPP ΤݭnD_u",
        "PPP AݭnD_u",
        "PPP L ACHO ^",
        "PPP NG",
        "PPP IP \\",
        "PPP {ҥ",
        "PPP {Ҧ\\",
        "PPP PAP {Ҥ",
        "PPP CHAP {Ҥ",
        "PPP ϥΪ̤_",
        "PPP _",
        "PPP LCP begin",
        "PPP LCP success",
        "PPP LCP fail",
        "PPP PAP authentication success",
        "PPP PAP authentication fail",
        "PPP CHAP authentication success",
        "PPP CHAP authentication fail",
        "PPP IPCP success",
        "PPP IPCP fail",
        "PPP disconnect for client request",
        "PPP disconnect for server request",
        "PPP no ACHO respond",
        "PPP NG",
        "PPP IP success",
        "PPP authentication fail",
        "PPP authentication",
        "PPP PAP authentication",
        "PPP CHAP authentication",
        "PPP disconnect by user",
        "PPP disconnect",
        "PPP LCP ʼ",
        "PPP LCP ɹ",
        "PPP LCP ʧ",
        "PPP PAP ֤ɹ",
        "PPP PAP ֤ʧ",
        "PPP CHAP ֤ɹ",
        "PPP CHAP ֤ʧ",
        "PPP IPCP ɹ",
        "PPP IPCP ʧ",
        "PPP վ",
        "PPP ",
        "PPP  ACHO Ӧ",
        "PPP NG",
        "PPP IP ɹ",
        "PPP ֤ʧ",
        "PPP ֤ɹ",
        "PPP PAP ֤",
        "PPP CHAP ֤",
        "PPP ûж"
        "PPP ж",
};
char *gpszUpnpEvent[8*MAX_LANGUAGE]={
        "add port/Janpanese/",
        "add port failed/Janpanese/",
        "add port failed(no more area)/Janpanese/",
        "port delete/Janpanese/",
        "port delete failed/Janpanese/",
        "delete all by user/Janpanese/",
        "automatic deletion(user timer)/Janpanese/",
        "automatic deletion(application timer)/Janpanese/",
        "sW𸹹",
        "sW𸹹",
        "sW𸹹(WLtΤW)",
        "R𸹹",
        "R𸹹",
        "ϥΪ̧RҦ𸹹",
        "tΦ۰ʧR𸹹(tγ]w)",
        "tΦ۰ʧR𸹹(ε{]w)",
        "add port",
        "add port failed",
        "add port failed(no more area)",
        "port delete",
        "port delete failed",
        "delete all by user",
        "automatic deletion(user timer)",
        "automatic deletion(application timer)",
        "˿",
        "˿ʧ",
        "˿ʧ(ϵͳ)",
        "ɾ˿",
        "ɾ˿ʧ",
        "ɾû˿",
        "Զɾ(ϵͳ趨ֵ)",
        "Զɾ(Ӧóʽ趨ֵ)"
};
char *gpszPowerOn[MAX_LANGUAGE]={
        "Power On/Janpanese/", 
        "}", 
        "Power On", 
        ""
};
char *gpszPrevious[MAX_LANGUAGE]={
        "<<Previous/Janpanese/",
        "<<W@",
        "<<Previous",
        "<<һҳ"
};
char *gszEdit[MAX_LANGUAGE]={
	"Edit/Japanese/",
	"s",
	"Edit",
	"༭"
};
char *gszDelete[MAX_LANGUAGE]={
	"Delete/Japanese/",
	"R",
	"Delete",
	"ɾ"
};
char *gszRestartMsg1_1[MAX_LANGUAGE]={
        "seconds following router restart, the browser window will automatically close./Janpanese/",
        ", B46BNsҰ, sN۰.",
        "seconds following router restart, the browser window will automatically close.",
        "·,ڽԶر."
};
char *gszRestartMsg1_2[MAX_LANGUAGE]={
        "The browser will automatic connect the Router after 50 seconds. &nbsp;If not, you can check the following HTTP address./Janpanese/",
        "50 s|ssWѾ.  YsSssWAiHIUCHTTP}.",
        "The browser will automatic connect the Router after 50 seconds. &nbsp;If not, you can check the following HTTP address.",
        "50ӺԶ·. û, 밴 HTTP ַ."
};
char *gszRestartMsg2_1[MAX_LANGUAGE]={
        "Settings can be accessed through the control panel and connecting to http:///Janpanese/",
        "iHQαO]wós http://",
        "Settings can be accessed through the control panel and connecting to http://",
        "ͨôȡ http://"
};
char *gszRestartMsg2_2[MAX_LANGUAGE]={
        "/ and entering the password.  Please refer to the instruction manual for details./Janpanese/",
        "/ BJKX. ]wаѦҦwˤU.",
        "/ and entering the password.  Please refer to the instruction manual for details.",
        ",οװֲ."
};
#else
extern int gnLanguageIndex;
extern char *gbszUnused[MAX_LANGUAGE];
extern char *gbszUnavailable[MAX_LANGUAGE];
extern char *gbszPPPConnected[MAX_LANGUAGE];
extern char *gbszPPPConnecting[MAX_LANGUAGE];
extern char *gbszPPPDisconnecting[MAX_LANGUAGE];
extern char *gbszPPPDisconnected[MAX_LANGUAGE];
extern char *gbszPPPTimeOut[MAX_LANGUAGE];
extern char *gbszPPPAuthenticating[MAX_LANGUAGE];
extern char *gbszPPPAuthenFail[MAX_LANGUAGE];
extern char *gbszPPPLCPNegotiating[MAX_LANGUAGE];
extern char *gbszPPPLCPFail[MAX_LANGUAGE];
extern char *gbszPPPIPCPNegotiating[MAX_LANGUAGE];
extern char *gbszPPPIPCPFail[MAX_LANGUAGE];
extern char *gszEnable[MAX_LANGUAGE];
extern char *gszDisable[MAX_LANGUAGE];
extern char *gszSessionName[MAX_LANGUAGE];
extern char *gszMainSession[MAX_LANGUAGE];
extern char *gszBackupSession[MAX_LANGUAGE];
extern char *gszNoSelected[MAX_LANGUAGE];
extern char *gszSub1Session[MAX_LANGUAGE];
extern char *gszSub2Session[MAX_LANGUAGE];
extern char *gszISPNumber[MAX_LANGUAGE];
extern char *gszISPName[MAX_LANGUAGE];
extern char *gszWANType[MAX_LANGUAGE];
extern char *gszPPPoE[MAX_LANGUAGE];
extern char *gszPPPoEUnnumber[MAX_LANGUAGE];
extern char *gszDHCP[MAX_LANGUAGE];
extern char *gszStaticIP[MAX_LANGUAGE];
extern char *gszWANIPAddress[MAX_LANGUAGE];
extern char *gszWANGateway[MAX_LANGUAGE];
extern char *gszPrimaryDNS[MAX_LANGUAGE];
extern char *gszSecondaryDNS[MAX_LANGUAGE];
extern char *gszWANNetmask[MAX_LANGUAGE];
extern char *gszWANEthernetStatus[MAX_LANGUAGE];
extern char *gszLANEthernetStatus[MAX_LANGUAGE];
extern char *gszMAC[MAX_LANGUAGE];
extern char *gszMTU[MAX_LANGUAGE];
extern char *gszRXpackets[MAX_LANGUAGE];
extern char *gszTXpackets[MAX_LANGUAGE];
extern char *gszRXbytes[MAX_LANGUAGE];
extern char *gszTXbytes[MAX_LANGUAGE];
extern char *gszWirelessStatus[MAX_LANGUAGE];
extern char *gszNoWirelessCardFound[MAX_LANGUAGE];
extern char *gszWirelessRegionInconsistent[MAX_LANGUAGE];
extern char *gszType[MAX_LANGUAGE];
extern char *gszESSID[MAX_LANGUAGE];
extern char *gszChannel[MAX_LANGUAGE];
extern char *gszRTSThreshold[MAX_LANGUAGE];
extern char *gszFragmentThreshold[MAX_LANGUAGE];
extern char *gszWEPEncryption[MAX_LANGUAGE];
extern char *gszARPTable[MAX_LANGUAGE];
extern char *gszDHCPLeaseTable[MAX_LANGUAGE];
extern char *gszRoutingTable[MAX_LANGUAGE];
extern char *gszClientMAC[MAX_LANGUAGE];
extern char *gszIPAddress[MAX_LANGUAGE];
extern char *gszMACAddress[MAX_LANGUAGE];
extern char *gszTTL[MAX_LANGUAGE];
extern char *gszexpired[MAX_LANGUAGE];
extern char *gszoff[MAX_LANGUAGE];
extern char *gszon[MAX_LANGUAGE];
extern char *gaz64bit[MAX_LANGUAGE];
extern char *gaz128bit[MAX_LANGUAGE];
extern char *gaz152bit[MAX_LANGUAGE];
extern char *gszDestination[MAX_LANGUAGE];
extern char *gszNetmask[MAX_LANGUAGE];
extern char *gszGetway[MAX_LANGUAGE];
extern char *gszMetric[MAX_LANGUAGE];
extern char *gszInterface[MAX_LANGUAGE];
extern char *gszDefault[MAX_LANGUAGE];
extern char *gszindefinite[MAX_LANGUAGE];
extern char *gpszConnectionGroup[3];
extern char *gpszConnectionSession[4*MAX_LANGUAGE];
extern char *gpszPPPoEAction[7*MAX_LANGUAGE];
extern char *gpszPPPAction[20*MAX_LANGUAGE];
extern char *gpszUpnpEvent[8*MAX_LANGUAGE];
extern char *gpszPowerOn[MAX_LANGUAGE];
extern char *gpszPrevious[MAX_LANGUAGE];
extern char *gszEdit[MAX_LANGUAGE];
extern char *gszDelete[MAX_LANGUAGE];
extern char *gszRestartMsg1[MAX_LANGUAGE];
extern char *gszRestartMsg2_1[MAX_LANGUAGE];
extern char *gszRestartMsg2_2[MAX_LANGUAGE];
#endif
